Loading...
Searching...
No Matches
N_array_3d Struct Reference

`#include <N_pde.h>`

## Data Fields

int | type
int | rows
int | cols
int | depths
int | rows_intern
int | cols_intern
int | depths_intern
int | offset
float * | fcell_array
double * | dcell_array

## Detailed Description

Definition at line 175 of file N_pde.h.

## Field Documentation

## cols

int N_array_3d::cols

Definition at line 177 of file N_pde.h.

Referenced by N_compute_gradient_field_3d(), and N_compute_gradient_field_components_3d().

## cols_intern

int N_array_3d::cols_intern

Definition at line 178 of file N_pde.h.

Referenced by N_copy_array_3d().

## dcell_array

double* N_array_3d::dcell_array

Definition at line 182 of file N_pde.h.

Referenced by N_copy_array_3d().

## depths

int N_array_3d::depths

Definition at line 177 of file N_pde.h.

Referenced by N_compute_gradient_field_3d(), and N_compute_gradient_field_components_3d().

## depths_intern

int N_array_3d::depths_intern

Definition at line 178 of file N_pde.h.

Referenced by N_copy_array_3d().

## fcell_array

float* N_array_3d::fcell_array

Definition at line 180 of file N_pde.h.

Referenced by N_copy_array_3d().

## offset

int N_array_3d::offset

Definition at line 179 of file N_pde.h.

## rows

int N_array_3d::rows

Definition at line 177 of file N_pde.h.

Referenced by N_compute_gradient_field_3d(), and N_compute_gradient_field_components_3d().

## rows_intern

int N_array_3d::rows_intern

Definition at line 178 of file N_pde.h.

Referenced by N_copy_array_3d().

## type

int N_array_3d::type

Definition at line 176 of file N_pde.h.

Referenced by N_copy_array_3d(), and N_get_array_3d_type().

The documentation for this struct was generated from the following file:

- N_pde.h